summaryrefslogtreecommitdiffstats
path: root/libraries/libqsqlpsql/libqsqlpsql.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libqsqlpsql/libqsqlpsql.SlackBuild')
-rw-r--r--libraries/libqsqlpsql/libqsqlpsql.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/libraries/libqsqlpsql/libqsqlpsql.SlackBuild b/libraries/libqsqlpsql/libqsqlpsql.SlackBuild
new file mode 100644
index 0000000000..a246815a59
--- /dev/null
+++ b/libraries/libqsqlpsql/libqsqlpsql.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for libqsqlpsql
+
+# Copyright 2008-2009 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libqsqlpsql
+VERSION=r1008952
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf qt-$VERSION
+tar xvf $CWD/qt-$VERSION.tar.xz
+cd qt-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# apply_patches looks for a ".svn" directory, which doesn't exist in the used snapshot.
+# removing the check from apply_patches to not try to apply already applied patches
+sed -i "s| test -d .svn &&||" apply_patches
+
+./apply_patches
+
+if [ $ARCH = "i486" ]; then
+ patch -p1 -i $CWD/qt.x86.cflags.diff
+fi
+
+# Fix path to mysql header
+patch -p1 -i $CWD/qt.mysql.h.diff
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+echo $'o\nyes' | ./configure \
+ -prefix /usr/lib${LIBDIRSUFFIX}/qt \
+ -qt-gif \
+ -system-libpng \
+ -system-libjpeg \
+ -system-zlib \
+ -dbus \
+ -webkit \
+ -no-phonon \
+ -nomake examples \
+ -nomake demos \
+ -no-separate-debug-info
+
+cd src/plugins/sqldrivers/psql/
+ sed -i "s|$TMP/qt-$VERSION/bin/moc|moc|" Makefile
+
+ make
+ make install INSTALL_ROOT=$PKG
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *GPL_EXCEPTION* FAQ* INSTALL KNOWN* LICENSE* README* changes-* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}